# ---------------------------------------------------------------------
#
# Copyright (c) CREATIS (Centre de Recherche en Acquisition et Traitement de l'Image 
#                        pour la Santé)
# Authors : Eduardo Davila, Frederic Cervenansky, Claire Mouton
#
#  This software is governed by the CeCILL-B license under French law and 
#  abiding by the rules of distribution of free software. You can  use, 
#  modify and/ or redistribute the software under the terms of the CeCILL-B 
#  license as circulated by CEA, CNRS and INRIA at the following URL 
#  http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.html 
#  or in the file LICENSE.txt.
#
#  As a counterpart to the access to the source code and  rights to copy,
#  modify and redistribute granted by the license, users are provided only
#  with a limited warranty  and the software's author,  the holder of the
#  economic rights,  and the successive licensors  have only  limited
#  liability. 
#
#  The fact that you are presently reading this means that you have had
#  knowledge of the CeCILL-B license and that you accept its terms.
# ------------------------------------------------------------------------  


#!/bin/bash

#
# This one is here just in order not tp dupplicate the following code
#

#allow debugger to choose the startpoint
# start_point : used at debug time : start point of the script
# ex : if everything is OK, but bbtkGEditor, 
# git pull bbtkGEditor manually, and use :
# start_point=10
# in order not to 'git clone' everything, nor recompile everything.

start_point=0

scriptDir=$PWD/scripts

 creasource=crea
 bbtksource=bbtk
 creavtksource=creaVtk
 creamaracassource=creaMaracasVisu
 creaenvironmentsource=creaEnvironment
 creabrukersource=creaBruker
 creaimagesource=creaImageIO
 creacontourssource=creaContours
 crearigidregistrationssource=creaRigidRegistration
 bbtkgeditorsource=bbtkGEditor
 creatoolssource=creaTools
 creaminitoolssource=creaMiniTools
 creatoolstoolssource=creaToolsTools
# libidosource=libidoNewProj 
  
 creaversion=v0_4_3
 bbtkversion=v0_9_5
 creavtkversion=v1_0_0
 creamaracasversion=v1_0_3
 creaenvironmentversion=v1_0_1
 creabrukerversion=v1_0_1
 creaimageversion=v0_2_5
 creacontoursversion=v1_2_3
 crearigidregistrationsversion=v1_0_1
 bbtkgeditorversion=v1_0_0
 creatoolsversion=v2_0_3
 creaminitoolsversion=v1_0_0
 creatoolstoolsversion=v1_0_1



echo "++++++++++++++++++++++++++++++++++++++++++++++++OperatingSystem " $OperatingSystem

if [ $OperatingSystem = "MacOS" ]
then
  creadll=$generationdir/creatools_bin/creaBin
DYLD_LIBRARY_PATH=$creadll:$DYLD_LIBRARY_PATH
  bbtkdll=$generationdir/creatools_bin/bbtkBin
DYLD_LIBRARY_PATH=$bbtkdll:$DYLD_LIBRARY_PATH
  creavtkdll=$generationdir/creatools_bin/creavtkBin
DYLD_LIBRARY_PATH=$creavtkdll:$DYLD_LIBRARY_PATH
  creamaracasdll=$generationdir/creatools_bin/creamaracasBin
DYLD_LIBRARY_PATH=$creamaracasdll:$DYLD_LIBRARY_PATH
  creaenvironmentdll=$generationdir/creatools_bin/creaenvironmentBin
DYLD_LIBRARY_PATH=$creaenvironmentdll:$DYLD_LIBRARY_PATH
  creabrukerdll=$generationdir/creatools_bin/creabrukerBin
DYLD_LIBRARY_PATH=$creabrukerdll:$DYLD_LIBRARY_PATH 
  creaimagedll=$generationdir/creatools_bin/creaimageBin
DYLD_LIBRARY_PATH=$creaimagedll:$DYLD_LIBRARY_PATH
  creacontourdll=$generationdir/creatools_bin/creacontoursBin
DYLD_LIBRARY_PATH=$creacontoursdll:$DYLD_LIBRARY_PATH
  crearigidregistrationdll=$generationdir/creatools_bin/crearigidregistrationBin
DYLD_LIBRARY_PATH=$crearigidregistrationdll:$DYLD_LIBRARY_PATH
  bbtkgeditordll=$generationdir/creatools_bin/bbtkgeditorBin
DYLD_LIBRARY_PATH=$bbtkgeditordll:$DYLD_LIBRARY_PATH
  creatoolsdll=$generationdir/creatools_bin/creatoolsBin
DYLD_LIBRARY_PATH=$creatoolssdll:$DYLD_LIBRARY_PATH
  creaminitoolsdll=$generationdir/creatools_bin/creaMiniToolsBin
DYLD_LIBRARY_PATH=$creaminitoolssdll:$DYLD_LIBRARY_PATH
#  crealibidodll=$generationdir/creatools_bin/libidoBin
#DYLD_LIBRARY_PATH=$libidodll:$DYLD_LIBRARY_PATH
else
  creadll=$generationdir/creatools_bin/creaBin
LD_LIBRARY_PATH=$creadll:$LD_LIBRARY_PATH
  bbtkdll=$generationdir/creatools_bin/bbtkBin
LD_LIBRARY_PATH=$bbtkdll:$LD_LIBRARY_PATH
  creavtkdll=$generationdir/creatools_bin/creavtkBin
LD_LIBRARY_PATH=$creavtkdll:$LD_LIBRARY_PATH
  creamaracasdll=$generationdir/creatools_bin/creamaracasBin
LD_LIBRARY_PATH=$creamaracasdll:$LD_LIBRARY_PATH
  creaenvironmentdll=$generationdir/creatools_bin/creaenvironmentBin
LD_LIBRARY_PATH=$creaenvironmentdll:$LD_LIBRARY_PATH
  creabrukerdll=$generationdir/creatools_bin/creabrukerBin
LD_LIBRARY_PATH=$creabrukerdll:$LD_LIBRARY_PATH 
  creaimagedll=$generationdir/creatools_bin/creaimageBin
LD_LIBRARY_PATH=$creaimagedll:$LD_LIBRARY_PATH
  creacontourdll=$generationdir/creatools_bin/creacontoursBin
LD_LIBRARY_PATH=$creacontoursdll:$LD_LIBRARY_PATH
  crearigidregistrationdll=$generationdir/creatools_bin/crearigidregistrationBin
LD_LIBRARY_PATH=$crearigidregistrationdll:$LD_LIBRARY_PATH
  bbtkgeditordll=$generationdir/creatools_bin/bbtkgeditorBin
LD_LIBRARY_PATH=$bbtkgeditordll:$LD_LIBRARY_PATH
  creatoolsdll=$generationdir/creatools_bin/creatoolsBin
LD_LIBRARY_PATH=$creatoolssdll:$LD_LIBRARY_PATH
  creaminitoolsdll=$generationdir/creatools_bin/creaMiniToolsBin
LD_LIBRARY_PATH=$creaminitoolssdll:$LD_LIBRARY_PATH
#  crealibidodll=$generationdir/creatools_bin/libidoBin
#LD_LIBRARY_PATH=$libidodll:$LD_LIBRARY_PATH
fi
