REM ---------------------------------------------------------------------
REM
REM Copyright (c) CREATIS (Centre de Recherche en Acquisition et Traitement de l'Image 
REM                        pour la Santé)
REM Authors : Eduardo Davila, Frederic Cervenansky, Claire Mouton
REM
REM  This software is governed by the CeCILL-B license under French law and 
REM  abiding by the rules of distribution of free software. You can  use, 
REM  modify and/ or redistribute the software under the terms of the CeCILL-B 
REM  license as circulated by CEA, CNRS and INRIA at the following URL 
REM  http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.html 
REM  or in the file LICENSE.txt.
REM
REM  As a counterpart to the access to the source code and  rights to copy,
REM  modify and redistribute granted by the license, users are provided only
REM  with a limited warranty  and the software's author,  the holder of the
REM  economic rights,  and the successive licensors  have only  limited
REM  liability. 
REM
REM  The fact that you are presently reading this means that you have had
REM  knowledge of the CeCILL-B license and that you accept its terms.
REM ------------------------------------------------------------------------  

rem @echo off
set buildtype=Release
set docgeneration=OFF
set cvsUser=davila

set creasourcefolder=crea
set bbtksourcefolder=bbtk
set creamaracassourcefolder=creaMaracasVisu
set creaenvironmentsource=creaEnvironment
set creabrukersource=creaBruker
set creaimagesourcefolder=creaImageIO
set creacontourssource=creaContours
set crearigidregistrationssource=creaRigidRegistration
set bbtkgeditorsource=bbtkGEditor
set creatoolssource=creaTools

set currentdir=%~dp0
rem set currentdir=%currentdir:\=/%
set dirInstall=%currentdir%\tmpCreaTools_INSTALL
rmdir  %dirInstall% /s /q
rmdir  Result_Installers /s /q
mkdir Result_Installers

call cvscheckout.bat %creasourcefolder% %cvsUser%
call cvscheckout.bat %bbtksourcefolder% %cvsUser%
call cvscheckout.bat %creamaracassourcefolder% %cvsUser%
call cvscheckout.bat %creaenvironmentsource% %cvsUser%
call cvscheckout.bat %creabrukersource% %cvsUser%
call cvscheckout.bat %creaimagesourcefolder% %cvsUser%
call cvscheckout.bat %creacontourssource% %cvsUser%
call cvscheckout.bat %crearigidregistrationssource% %cvsUser%
call cvscheckout.bat %bbtkgeditorsource% %cvsUser%
call cvscheckout.bat %creatoolssource% %cvsUser%




rem CREA
call cleanmod.bat %creasourcefolder%
call cmakemod.bat %creasourcefolder% %dirInstall%
call creaVariables.bat %creasourcefolder% 
call compilemod.bat %buildtype% %creasourcefolder%
call ctestmod.bat %creasourcefolder%
set creadll=%~dp0
set creadll=%creadll%%creasourcefolder%Bin\%buildtype%
set PATH=%creadll%;%PATH%


rem BBTK
call cleanmod.bat %bbtksourcefolder%
call cmakemod.bat %bbtksourcefolder%  %dirInstall%
call bbtkVariables.bat %bbtksourcefolder% %docgeneration%
call compilemod.bat %buildtype% %bbtksourcefolder%
call ctestmod.bat %bbtksourcefolder%
set bbtkdll=%~dp0
set bbtkdll=%bbtkdll%%bbtksourcefolder%Bin\%buildtype%
set PATH=%bbtkdll%;%PATH%

rem creaMaracasVisu
call cleanmod.bat %creamaracassourcefolder%
call cmakemod.bat %creamaracassourcefolder%  %dirInstall%
call creaMaracasVariables.bat %creamaracassourcefolder% %docgeneration%
call compilemod.bat %buildtype% %creamaracassourcefolder%
call ctestmod.bat %creamaracassourcefolder%
set creamaracasdll=%~dp0%creamaracassourcefolder%\%buildtype%
set PATH=%creamaracasdll%;%PATH%


rem creaEnvironment
call cleanmod.bat %creaenvironmentsource%
call cmakemod.bat %creaenvironmentsource%  %dirInstall%
call creaenvironmentVariables.bat %creaenvironmentsource% 
call compilemod.bat %buildtype% %creaenvironmentsource%
call ctestmod.bat %creaenvironmentsource%
set creaenvironmentdll=%~dp0%creaenvironmentsource%\%buildtype%
set PATH=%creaenvironmentdll%;%PATH%

rem creaBruker
call cleanmod.bat %creabrukersource%
call cmakemod.bat %creabrukersource%  %dirInstall%
call creaBrukerVariables.bat %creabrukersource% %docgeneration%
call compilemod.bat %buildtype% %creabrukersource%
call ctestmod.bat %creabrukersource%
set creabrukerdll=%~dp0%creabrukersource%\%buildtype%
set PATH=%creabrukerdll%;%PATH%

rem creaImageIO
call cleanmod.bat %creaimagesourcefolder%
call cmakemod.bat %creaimagesourcefolder%  %dirInstall%
call creaImageIOVariables.bat %creaimagesourcefolder% %docgeneration% 
call compilemod.bat %buildtype% %creaimagesourcefolder%
call ctestmod.bat %creaimagesourcefolder%
set creaimagedll=%~dp0%creaimagesourcefolder%\%buildtype%
set PATH=%creaimagedll%;%PATH%


rem creaContours
call cleanmod.bat %creacontourssource%
call cmakemod.bat %creacontourssource%  %dirInstall%
call creaContoursVariables.bat %creacontourssource% %docgeneration%
call compilemod.bat %buildtype% %creacontourssource%
call ctestmod.bat %creacontourssource%
set creacontourdll=%~dp0%creacontourssource%\%buildtype%
rem set PATH=%creacontoursdll%;%PATH%

rem creaRigidRegistration
call cleanmod.bat %crearigidregistrationssource%
call cmakemod.bat %crearigidregistrationssource%  %dirInstall%
call creaRigidRegistrationVariables.bat %crearigidregistrationssource% %docgeneration% 
call compilemod.bat %buildtype% %crearigidregistrationssource%
call ctestmod.bat %crearigidregistrationssource%
rem set crearigidregistrationdll=%~dp0%crearigidregistrationssource%\%buildtype%
rem set PATH=%crearigidregistrationdll%;%PATH%

rem bbtkGEditor
call cleanmod.bat %bbtkgeditorsource%
call cmakemod.bat %bbtkgeditorsource%  %dirInstall%
call bbtkGEditorVariables.bat %bbtkgeditorsource% %docgeneration% 
call compilemod.bat %buildtype% %bbtkgeditorsource%
call ctestmod.bat %bbtkgeditorsource%
rem set bbtkgeditordll=%~dp0%bbtkgeditorsource%\%buildtype%
rem set PATH=%bbtkgeditordll%;%PATH%

rem creaTools
call cleanmod.bat %creatoolssource%
call cmakemod.bat %creatoolssource%  %dirInstall%
call creaToolsVariables.bat %creatoolssource%  %dirInstall%
call compilemodCreaTools.bat %buildtype% %creatoolssource%
rem remcall ctestmod.bat %creatoolssource%
set creatoolsdll=%~dp0%creatoolssource%\%buildtype%
set PATH=%creatoolssdll%;%PATH%

pause

rem shutdown /s
exit /b